package as;

import java.io.IOException;
import javafx.application.Application;
import javafx.fxml.FXMLLoader;
import javafx.scene.Parent;
import javafx.scene.Scene;
import javafx.stage.Stage;

public class Main extends Application {

    public static void main(String[] args) {
        launch(args);  // tworzy obiekt Stage, wywouje metod start()
    }

    @Override
    public void start(Stage okno) throws IOException {
        // Wczytanie sceny z pliku fxml
        Parent korzen = FXMLLoader.load(getClass().getResource("main.fxml"));

        // Scena
        Scene scena = new Scene(korzen);

        // Gwne okno
        okno.setScene(scena);
        okno.setTitle("JavaFX");
        okno.show();
    }
}
